Bug 962414 - [Storage] The flow of reinitilize DataCenter when not all data domains are Inactive may fail.
[Storage] The flow of reinitilize DataCenter when not all data domains are In...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 08:05 EDT by Leonid Natapov
Modified: 2016-02-10 13:15 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 10:00:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2013-05-13 08:05:09 EDT
Description of problem:
[Storage] The flow of reinitilize DataCenter when not all Data Domains became Inactive may be misleading for the user.

The situation is: Several data domains in DC and connection from host blocked to all domains. Data Domains not become Inactive simultaneously but one after another. If use will try to to reinitilize DataCenter when NOT all data domains in "Inactive" status he will get no indication that proccess has been started. New domain will appear in the UI only after severl minutes.

The suggested solution may be CanDoAction on Reinitilize DC wneh there are domains that still in Unknown status. 



How reproducible:
100%

Steps to Reproduce:
1.3 DataDomains in DataCenter,2 Attached and Active and third unattached.
2.Block connectivity from host to both attached DataDomains.
3.First both domains will become Unknown and after sometime one of then will become Inactive and the second will remain Unknown.
4.Try to reinitilize DC with the third domain.
  
Actual results:
User will have no indication that his action succeeded.

Expected results:
Warning message saying that all domains should become Inactive in order to perform Reinitilize DC.

Additional info:

Logs attached.
Comment 1 Liron Aravot 2013-07-09 05:29:50 EDT
1. Lesik, please add logs - otherwise it's hard to track/know what happend.

2. Basically, it seems like two issues are mixed here -
When attempting to run the recovery command, the request enters a queue of operations to be performed, if there is a currently running operation in that queue that runs, the "recovery" request would wait till it ends before being executed - 
as those flows contains few vdsm operations, the recovery command may hang in the queue till the execution - an audit lug might be added to improve the user experience in that case.

3. In terms of CDA  message- the recovery command currently has a CDA check that intends to prevent the operation from being submitted in case that there are domains which are eligible to reconstruct as the time of submission - but it seems to be unrelated to the issue that you described.

please take a look and update the header/severity if the issue you referred to is indeed #2.
thanks.

Note You need to log in before you can comment on or make changes to this bug.